<template lang="pug">
div
  div(class="mt-10 sm:mt-0")  
    div(class="md:grid md:grid-cols-3 md:gap-6")
      div(class="md:col-span-1")
        div(class="px-4 sm:px-0")
          h3(class="text-lg font-medium leading-6 text-gray-900") Add New Record
          form(@submit.prevent="createActivity")
            
            div(class="col-span-6 sm:col-span-3 my-5")
              label(for="title" class="block text-sm font-medium text-gray-700") Title 
              input(required type="text" v-model="item.title" name="title" id="title" class="mt-1 focus:ring-indigo-500 focus:border-indigo-500 block w-full shadow-sm sm:text-sm border-gray-300 rounded-md border leading-10")

            div(class="col-span-6 sm:col-span-3 my-5")
              label(for="title" class="block text-sm font-medium text-gray-700") Description 
              input(required type="text" v-model="item.description" name="description" id="description" class="mt-1 focus:ring-indigo-500 focus:border-indigo-500 block w-full shadow-sm sm:text-sm border-gray-300 rounded-md border leading-10")

            div.flex.justify-center
              button(class="rounded px-4 py-2 bg-indigo-700 text-white mx-auto" type="submit") Create
      div(class="mt-5 md:mt-0 md:col-span-2")
        ElementActivitiesTable
</template>
<script>
export default {
  data: () => ({
    item: {},
  }),
  methods: {
    async createActivity() {
      const user = this.$auth.getUser()

      await this.$api.post(`/activity/${user.sub}`, {
        activities: this.item,
      })
      window.location.reload()
    },
  },
}
</script>
